Use this file to discover all available pages before exploring further.
Qovery Self-Managed (also known as BYOK: Bring Your Own Kubernetes) is a self-hosted version of Qovery. It allows you to install Qovery on your own Kubernetes cluster.
For Kubernetes Experts Only: Qovery BYOK is for Kubernetes experts who
want to manage their own Kubernetes cluster.
Qovery automatically updates ONLY the Qovery applications (agent, shell-agent, etc.) via the Qovery Helm chart. With the self-managed offer, it will be up to you to manage any dependency components (ingress, DNS, logging), making sure they run with the right version over time.The dependencies provided with the Qovery Helm chart are here to help you with the bootstrap, and are not maintained by Qovery.
To download and install Qovery CLI on any Linux distribution:
curl -s https://get.qovery.com | bash
The install script does not verify the binary’s integrity. For security-sensitive environments, use the Manual tab to download a pinned release and verify its checksum against the official checksums.txt published with each release.
Qovery is part of AUR packages, so you can install it with yay:
yay qovery-cli
Install the Qovery CLI on Linux manually from a pinned release to ensure you control what version is installed.Replace X.Y.Z with the version you want to install:
VERSION=1.48.0 # version number without the 'v' prefixARCH=amd64 # use arm64 for ARM64ARCHIVE="qovery-cli_${VERSION}_linux_${ARCH}.tar.gz"# Download the binary and checksums for your platformcurl -sL "https://github.com/Qovery/qovery-cli/releases/download/v${VERSION}/${ARCHIVE}" -o "${ARCHIVE}"curl -sL "https://github.com/Qovery/qovery-cli/releases/download/v${VERSION}/checksums.txt" -o checksums.txt# Verify the checksum of the downloaded file only (fails if tampered)grep "${ARCHIVE}" checksums.txt | sha256sum --check# Extract and installtar -xzf "${ARCHIVE}"mv qovery /usr/local/bin/qoverychmod +x /usr/local/bin/qovery
Homebrew
Script
Manual
The common solution to install a command line binary on the MacOS is to use Homebrew.
# Add Qovery brew repositorybrew tap Qovery/qovery-cli# Install the CLIbrew install qovery-cli
To download and install Qovery CLI from the command line:
curl -s https://get.qovery.com | bash
The install script does not verify the binary’s integrity. For security-sensitive environments, use the Manual tab to download a pinned release and verify its checksum against the official checksums.txt published with each release.
Install the Qovery CLI on macOS manually from a pinned release to ensure you control what version is installed.Replace X.Y.Z with the version you want to install:
VERSION=1.48.0 # version number without the 'v' prefixARCH=amd64 # use arm64 for Apple Silicon (M1/M2/M3)ARCHIVE="qovery-cli_${VERSION}_darwin_${ARCH}.tar.gz"# Download the binary and checksums for your platformcurl -sL "https://github.com/Qovery/qovery-cli/releases/download/v${VERSION}/${ARCHIVE}" -o "${ARCHIVE}"curl -sL "https://github.com/Qovery/qovery-cli/releases/download/v${VERSION}/checksums.txt" -o checksums.txt# Verify the checksum of the downloaded file only (fails if tampered)grep "${ARCHIVE}" checksums.txt | shasum -a 256 --check# Extract and installtar -xzf "${ARCHIVE}"mv qovery /usr/local/bin/qoverychmod +x /usr/local/bin/qovery
Scoop
Manual
The classic way to install binaries on Windows is to use Scoop.
This will open a browser window for authentication.
For headless environments (CI/CD, remote servers) without a graphical
interface, use qovery auth --headless and follow the instructions to
authenticate manually.